Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class FullTextSearch.CompoundTerm

    java.lang.Object
      org.modeshape.graph.query.model.FullTextSearch.CompoundTerm

All Implemented Interfaces:
  Iterable<FullTextSearch.Term>, FullTextSearch.Term

Direct Known Subclasses:
  FullTextSearch.Conjunction, FullTextSearch.Disjunction

Enclosing class:
  FullTextSearch

    public abstract static class FullTextSearch.CompoundTerm

extends Object
implements FullTextSearch.Term, Iterable<FullTextSearch.Term>

A list of `FullTextSearch.Term`s.

Constructor Summary
`protected` | `FullTextSearch.CompoundTerm(List<FullTextSearch.Term> terms)` Create a compound term of the supplied terms.

Method Summary
`boolean` | `equals(Object obj)`
`List<FullTextSearch.Term>` | `getTerms()` Get the terms that make up this compound term.
`int` | `hashCode()`
`Iterator<FullTextSearch.Term>` | `iterator()`
`protected String` | `toString(String delimiter)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextSearch.CompoundTerm

    protected FullTextSearch.CompoundTerm(List<FullTextSearch.Term> terms)

  Create a compound term of the supplied terms.

  Parameters:
    `terms` - the terms; may not be null or empty

Method Detail

### getTerms

    public List<FullTextSearch.Term> getTerms()

  Get the terms that make up this compound term.

  Returns:
    the terms in the disjunction; never null and never empty

### iterator

    public Iterator<FullTextSearch.Term> iterator()

  Specified by:
    `iterator` in interface `Iterable<FullTextSearch.Term>`
  See Also:
    `Iterable.iterator()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    protected String toString(String delimiter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.